Summary:	Intelligent Multimedia Management System
Name:		imms
Version:	3.0.2
Release:	%mkrel 1
Source0:	http://prdownloads.sourceforge.net/imms/%{name}-%{version}.tar.bz2
Patch2: imms-3.0.2-configure.patch
Patch3: imms-3.0.2-build.patch
License:	GPL
Group:		Sound
Url:		http://www.luminal.org/wiki/index.php/IMMS/IMMS
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	sox
Requires:	imms-plugin
BuildRequires:	autoconf2.5
BuildRequires:	fftw-devel >= 3.0
BuildRequires:	torch-devel >= 3
BuildRequires:	oggvorbis-devel >= 1.0
BuildRequires:	pcre-devel >= 4.3
BuildRequires:	readline-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	sox
BuildRequires:	sqlite3-devel >= 3.0
BuildRequires:	taglib-devel
BuildRequires:	xmms-devel >= 1.2.7

%description
IMMS is an adaptive playlist framework that tracks your listening patterns and
dynamically adapts to your taste.

It's major features include:

 * IMMS is easy to use. Song rating is done completely transparently to the
   user. It does not get in your way.

 * IMMS does a much better job of shuffling than most players. It keeps track
   of when a song was last played, and makes sure same songs are not repeated
   too often. It is even able to recognise different versions of the same song
   (eg. remixes) and treat them as one song!

 * IMMS uses a variety of techniques to figure out which songs should be
   played together, and which should not. It studies your listening habits, as
   well as using acoustic properties of the songs themselves, such as BPM and
   frequency spectrum.

 * IMMS is fair. Even unfavoured songs have a (small) chance of being played. 

Currently plugins for the following music players plug are available:

 * XMMS              - package xmms-imms


%package -n xmms-%{name}
Group:		Sound
Summary:	IMMS plugin for XMMS
Provides:	imms-plugin
Requires:	xmms
Requires:	imms

%description -n xmms-%{name}
This is the Intelligent Multimedia Management System plugin for XMMS.

%prep
%setup -q
%patch2 -p1
%patch3 -p1

%build
%configure2_5x
%make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%__install -d %{buildroot}/%{_libdir}/xmms/General/
%__install build/libxmmsimms.so %{buildroot}/%{_libdir}/xmms/General/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0755,root,root,0755)
%{_bindir}/immsd
%{_bindir}/immsremote
%{_bindir}/immstool
%{_bindir}/analyzer
%defattr(0644,root,root,0755)
%doc LICENSE INSTALL README
%_datadir/imms


%files -n xmms-%{name}
%defattr(0755,root,root,0755)
%{_libdir}/xmms/General/*



%changelog
* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 3.0.2-1mdv2008.1
+ Revision: 98585
- drop audacious plugin


* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 3.0.2-1mdv2007.0
+ Revision: 126503
- new version
- fix buildrequires
- replace patch 0 by upstream version
- drop patch 1
- update patch 2
- patch 3: fix audacious plugin linkage
- update file list
- fix installation

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 2.0.3-8mdv2007.1
+ Revision: 73100
- patch configure to fix the build
- Import imms

* Fri Oct 27 2006 Gtz Waschk <waschk@mandriva.org> 2.0.3-7mdv2007.1
- unpack patches
- rebuild for new audacious

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.0.3-6mdv2007.0
- update audacious patch

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.0.3-5mdk
- rebuild for new audacious

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 2.0.3-4mdk
- rebuild for new audaciou

* Mon Mar 06 2006 Gtz Waschk <waschk@mandriva.org> 2.0.3-3mdk
- patch for x86_64
- rebuild for new libaudacious

* Fri Jan 06 2006 Gtz Waschk <waschk@mandriva.org> 2.0.3-2mdk
- rebuild with audacious

* Mon Mar 21 2005 Michael Reinsch <mr@uue.org> 2.0.3-1mdk
- new release
- removed patch0, integrated upstream

* Fri Mar 18 2005 Michael Reinsch <mr@uue.org> 2.0.2a-2mdk
- replaced patch to fix notification loop at startup with a more correct one
  from the author

* Thu Mar 17 2005 Michael Reinsch <mr@uue.org> 2.0.2a-1mdk
- new version
- updated requirments and description
- SRPM is now imms and it builds the plugins for xmms and beep-media-player
- patch to fix notification loop at startup

* Sun Apr 18 2004 Michael Reinsch <mr@uue.org> 1.1-1mdk
- new version
- use taglib
- minor specfile cleanups
- also package the tools which come with IMMS (package imms)

* Tue Mar 02 2004 Michael Reinsch <mr@uue.org> 1.0.1-1mdk
- new version

